Kepler - Bug #2192

Improve QuickSearch results from Digir
09/08/2005 09:50 AM - Kevin Ruland

Status: Resolved Start date: 09/08/2005
Priority: Normal Due date:

Assignee: Chad Berkley % Done: 0%
Category: interface Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 2192

Description

Implement two improvements to the returned results from Digir QuickSearches.

- Ignore case of scientific name when partitioning records into subsets.
- Sort the results by scientific name alphabetically.

History

#1 - 09/08/2005 09:51 AM - Kevin Ruland

- Removed unused code controlled by "useCache" flag from getDigirResourceName.
- Changed addResultsetByScientificName method to fold case of scientific name
matches and populate the resultList in alphabetical order. This results in

the QuickSearch returning fewer different categories because of case

differences
and presenting the results alphabetically.

#2 - 09/08/2005 02:29 PM - Matt Jones

Committed patch to kepler. Verified that DC search and actor still works and
produces lat/lon data for a search on Mephitis. Closing bug.

#3 - 03/27/2013 02:19 PM - Redmine Admin
Original Bugzilla ID was 2192

Files
kepler-patch 24.1 KB 09/08/2005 Kevin Ruland
